Package org.jcsp.net.settings

# Class Setting

java.lang.Object
org.jcsp.net.settings.Setting

Direct Known Subclasses:
  `AddressSetting`

public class Setting extends Object
Used internally within the JCSP network infrastructure to represent a system setting.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`Setting(String name, String value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getName()`
`String`
`getValue()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Setting

public Setting(String name, String value)

## Method Details

### getName

public String getName()

### getValue

public String getValue()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`